#coding:utf-8
import time
import kbh
import contr

timeout = 500 # В мс
tt = kbh.TT(timeout) # Класс для работы с консолью в неблокирующем режиме
st = time.time() # Начало времен
mode = 0 # mode - номер режима работы ТЭНа. 
         # Для 0 <= mode <= 8 мощность нагрева W = mode*100 Вт,
         # а для режима 9 - мощность максимально возможная (на контроллере - 100%)
teh = contr.TEH() # Создадим объект "ТЭН"

while True:
  # Обрабатываем состояние клавиатуры
  if tt.kbhit(): # Какая-то клавиша была нажата
    ch = tt.getch()
    if ch == 'q': break # Выходим из цикла - конец работы
    elif ord(ch) >= 48 and ord(ch) <= 57: mode = int(ch) # Ввели номер режима
  # Устанавливаем соответствующую мощность нагрева
  if mode == 9: teh.W = 10000
  else: teh.W = mode*100
  print "%6.2f\t%1d\t%6.1f" % (time.time() - st, mode, teh.W)
teh.W = 0 # Выключим ТЭН после выхода из цикла

